---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/liblocaltab004.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50710, symBinAddr: 0xC390, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52650, symBinAddr: 0xE2D0, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52A40, symBinAddr: 0xE6C0, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x539E0, symBinAddr: 0xF660, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x539F0, symBinAddr: 0xF670, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50380, symBinAddr: 0xC250, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50384, symBinAddr: 0xC254, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50388, symBinAddr: 0xC258, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x504E0, symBinAddr: 0xC260, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50598, symBinAddr: 0xC318, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5059C, symBinAddr: 0xC31C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x505A0, symBinAddr: 0xC320, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x505A4, symBinAddr: 0xC324, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x505A8, symBinAddr: 0xC328, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x505B0, symBinAddr: 0xC330, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x505C0, symBinAddr: 0xC340, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x505C8, symBinAddr: 0xC348, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x505D0, symBinAddr: 0xC350, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x505D8, symBinAddr: 0xC358, symSize: 0x0 }
  - { offsetInCU: 0x8FD7, offset: 0x8FD7, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x505E0, symBinAddr: 0xC360, symSize: 0x0 }
  - { offsetInCU: 0x8FF1, offset: 0x8FF1, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x505E8, symBinAddr: 0xC368, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x50630, symBinAddr: 0xC370, symSize: 0x0 }
  - { offsetInCU: 0x90F0, offset: 0x90F0, size: 0x8, addend: 0x0, symName: __ZL8methInfo, symObjAddr: 0xE1A0, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x919C, offset: 0x919C, size: 0x8, addend: 0x0, symName: __ZL9constr_lv, symObjAddr: 0xE230, symBinAddr: 0xC130, symSize: 0x0 }
  - { offsetInCU: 0x91C1, offset: 0x91C1, size: 0x8, addend: 0x0, symName: __ZL10finMeth_lv, symObjAddr: 0xE290, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x91E6, offset: 0x91E6, size: 0x8, addend: 0x0, symName: __ZL11statMeth_lv, symObjAddr: 0xE300, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0x920B, offset: 0x920B, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50640, symBinAddr: 0xC380, symSize: 0x0 }
  - { offsetInCU: 0x925D, offset: 0x925D, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3900, symSize: 0x80 }
  - { offsetInCU: 0x92F2, offset: 0x92F2, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x3850, symSize: 0xB0 }
  - { offsetInCU: 0x934D, offset: 0x934D, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x3750, symSize: 0x100 }
  - { offsetInCU: 0x95E0, offset: 0x95E0, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x3980, symSize: 0xC0 }
  - { offsetInCU: 0x9632, offset: 0x9632, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x3A40, symSize: 0x220 }
  - { offsetInCU: 0x9817, offset: 0x9817, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x3C60, symSize: 0xA0 }
  - { offsetInCU: 0x98CA, offset: 0x98CA, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3D00, symSize: 0x110 }
  - { offsetInCU: 0x99C0, offset: 0x99C0, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3E10, symSize: 0x150 }
  - { offsetInCU: 0x9B1D, offset: 0x9B1D, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3F60, symSize: 0x30 }
  - { offsetInCU: 0x9BA6, offset: 0x9BA6, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3F90, symSize: 0x150 }
  - { offsetInCU: 0x9D9E, offset: 0x9D9E, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x40E0, symSize: 0x160 }
  - { offsetInCU: 0xA05E, offset: 0xA05E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x4240, symSize: 0x4A0 }
  - { offsetInCU: 0xA2D1, offset: 0xA2D1, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x46E0, symSize: 0x1B0 }
  - { offsetInCU: 0xA4EC, offset: 0xA4EC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4890, symSize: 0xA0 }
  - { offsetInCU: 0xA5BB, offset: 0xA5BB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4930, symSize: 0x20 }
  - { offsetInCU: 0xA5F2, offset: 0xA5F2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4950, symSize: 0x20 }
  - { offsetInCU: 0xA629, offset: 0xA629, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4970, symSize: 0x20 }
  - { offsetInCU: 0xA798, offset: 0xA798, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4990, symSize: 0x1A0 }
  - { offsetInCU: 0xAAB4, offset: 0xAAB4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x4B30, symSize: 0x130 }
  - { offsetInCU: 0xAC64, offset: 0xAC64, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4C60, symSize: 0x80 }
  - { offsetInCU: 0xAD2D, offset: 0xAD2D, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4CE0, symSize: 0x6A0 }
  - { offsetInCU: 0xB8C2, offset: 0xB8C2, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA290, symBinAddr: 0x6100, symSize: 0xB0 }
  - { offsetInCU: 0xB939, offset: 0xB939, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5380, symSize: 0x70 }
  - { offsetInCU: 0xB9F5, offset: 0xB9F5, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x53F0, symSize: 0xA0 }
  - { offsetInCU: 0xBAF4, offset: 0xBAF4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5490, symSize: 0x40 }
  - { offsetInCU: 0xBBEA, offset: 0xBBEA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x54D0, symSize: 0x2B0 }
  - { offsetInCU: 0xBF90, offset: 0xBF90, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5780, symSize: 0xC0 }
  - { offsetInCU: 0xC0D6, offset: 0xC0D6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5840, symSize: 0x10 }
  - { offsetInCU: 0xC198, offset: 0xC198, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5850, symSize: 0x220 }
  - { offsetInCU: 0xC495, offset: 0xC495, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5A70, symSize: 0x10 }
  - { offsetInCU: 0xC4F2, offset: 0xC4F2, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5A80, symSize: 0x210 }
  - { offsetInCU: 0xC72B, offset: 0xC72B, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E20, symBinAddr: 0x5C90, symSize: 0x10 }
  - { offsetInCU: 0xC849, offset: 0xC849, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetLocalVariableTable_localtab004_check, symObjAddr: 0x9E30, symBinAddr: 0x5CA0, symSize: 0x460 }
  - { offsetInCU: 0xCAD8, offset: 0xCAD8, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA340, symBinAddr: 0x61B0, symSize: 0x36A }
...
